<?php
  global $AnzahlSeiten;
  if ( $AnzahlSeiten>'1' )
  {
    global $aktuelleSeite;
    global $L_111;
    $CSS = "GigNavigation";
    $URL = "index.php?submenu=website&amp;page=backend_showAllGuestbookEntries";
    $temp = '';

    // asdladkjlasd
    $AnzahlButtons = 7;
    $Gap = floor($AnzahlButtons/2);
    $i = '1';
    $LetzteSeite = $AnzahlSeiten;
    if ($AnzahlSeiten>$AnzahlButtons)
    {
      $i = $aktuelleSeite-$Gap;
      $LetzteSeite = $i+$AnzahlButtons-1;
    }
    $temp .= '<input class="'.$CSS.'" type="button" value="&laquo;" onclick="self.location.href=\''.$URL.'&amp;subpage=1'.'\'" />';
    if ($i<1)
    {
      $i=1;
      $LetzteSeite = max($LetzteSeite,$AnzahlButtons);
    }
    if ($LetzteSeite>$AnzahlSeiten)
    {
      $i=$AnzahlSeiten-$AnzahlButtons+1;
      $LetzteSeite = $AnzahlSeiten;
    }
    $temp .= '<input class="'.$CSS.'" type="button" value="&lt;" onclick="self.location.href=\''.$URL.'&amp;subpage='.max($aktuelleSeite-1,1).'\'" />';
    while ($i <= $LetzteSeite)
    {
      $CSSselected = $CSS;
      if ($aktuelleSeite == $i) $CSSselected .= " selected";
      $temp .= '<input class="'.$CSSselected.'" type="button" value="'.$i.'" onclick="self.location.href=\''.$URL.'&amp;subpage='.$i.'\'" />';
      $i++;
    }
    $temp .= '<input class="'.$CSS.'" type="button" value="&gt;" onclick="self.location.href=\''.$URL.'&amp;subpage='.min($aktuelleSeite+1,$AnzahlSeiten).'\'" />';
    $temp .= '<input class="'.$CSS.' lastButton" type="button" value="&raquo;" onclick="self.location.href=\''.$URL.'&amp;subpage='.$AnzahlSeiten.'\'" />';
  }
  else $temp = '';
  echo $temp;

?>